Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1024007 - PRD35 - [RFE] Report guest Buffered/Cached memory
Summary: PRD35 - [RFE] Report guest Buffered/Cached memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent
Version: 3.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks: 1024010 rhev3.5beta 1156165 1203189 1209910
TreeView+ depends on / blocked
 
Reported: 2013-10-28 14:50 UTC by Amador Pahim
Modified: 2018-12-03 20:28 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 17:37:58 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0206 normal SHIPPED_LIVE ovirt-guest-agent bug fix and enhancement update 2015-02-11 22:33:33 UTC
oVirt gerrit 27156 master MERGED agent: report Linux cached/buffers memory Never
oVirt gerrit 27210 None MERGED schema: Update memory information reported by the agent Never

Description Amador Pahim 2013-10-28 14:50:24 UTC
Some applications, like Oracle Directory Server, use cached memory and never release it. Users need to take this memory into account when planning the memory requirements.
Please report guests Buffered/Cached memory in addition to used memory.

Comment 1 Lukas Svaty 2014-07-29 14:17:56 UTC
testing blocked by BZ#1124456 
if you can propose other way to test this please do

Comment 2 Vinzenz Feenstra [evilissimo] 2014-07-30 05:53:58 UTC
vdsClient -s 0 getAllVmStats should print the new fields 'mem_buffers' and 'mem_cached' in the guest mem stats section

Comment 3 Lukas Svaty 2014-07-30 13:18:05 UTC
reported correctly with
ovirt-guest-agent-common-1.0.10-1.fc20.noarch

Comment 6 errata-xmlrpc 2015-02-11 17:37:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0206.html


Note You need to log in before you can comment on or make changes to this bug.